FLANG

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Fortran::evaluate::ConstantBase< RESULT, ELEMENT > Class Template Reference
Inheritance diagram for Fortran::evaluate::ConstantBase< RESULT, ELEMENT >:

## Public Types
using | Result = RESULT
using | Element = ELEMENT

## Public Member Functions
template<typename A >
| ConstantBase (const A &x, Result res=Result{})
template<typename A , typename = common::NoLvalue<A>>
| ConstantBase (A &&x, Result res=Result{})
| ConstantBase (std::vector< Element > &&, ConstantSubscripts &&, Result=Result{})
bool | operator== (const ConstantBase &) const
bool | empty () const
std::size_t | size () const
const std::vector< Element > & | values () const
constexpr Result | result () const
constexpr DynamicType | GetType () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Public Member Functions inherited from Fortran::evaluate::ConstantBounds
| ConstantBounds (const ConstantSubscripts &shape)
| ConstantBounds (ConstantSubscripts &&shape)
const ConstantSubscripts & | shape () const
const ConstantSubscripts & | lbounds () const
void | set_lbounds (ConstantSubscripts &&)
int | Rank () const
Constant< SubscriptInteger > | SHAPE () const
bool | IncrementSubscripts (ConstantSubscripts &, const std::vector< int > *dimOrder=nullptr) const

## Protected Member Functions
std::vector< Element > | Reshape (const ConstantSubscripts &) const
std::size_t | CopyFrom (const ConstantBase &source, std::size_t count, ConstantSubscripts &resultSubscripts, const std::vector< int > *dimOrder)
Protected Member Functions inherited from Fortran::evaluate::ConstantBounds
ConstantSubscript | SubscriptsToOffset (const ConstantSubscripts &) const

## Protected Attributes
Result | result_
std::vector< Element > | values_

The documentation for this class was generated from the following files:

- include/flang/Evaluate/constant.h
- lib/Evaluate/constant.cpp
- lib/Evaluate/formatting.cpp